Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Any provision to make it Chef 11.10 compatible? #401

Closed
sagar1730 opened this issue Nov 27, 2015 · 6 comments

Comments

Projects
None yet
3 participants
@sagar1730
Copy link

commented Nov 27, 2015

Hi,

I have tested it on Vagrant with Chef-Solo version 12.5 where it works perfectly, but when I tried it on AWS Opswork it failed. AWS supports only upto 11.10 for Linux and 12.1 for Windows. Is there any trick to make it Chef 11.10 compatible.

@martinb3

This comment has been minimized.

Copy link
Contributor

commented Nov 30, 2015

Hi @sagar1730 -- chef 12.x was released about a year ago. We specifically dropped support for it when doing a 1.0.0 release, so I don't think we'd add it back in. It's a ton of additional testing, and in some cases, requires rewriting or maintaining a lot of legacy code. My recommendation would be to use an older version of this cookbook if you want to use Chef 11.x. I hope this helps!

@martinb3 martinb3 closed this Nov 30, 2015

@davidski

This comment has been minimized.

Copy link

commented Nov 30, 2015

@sagar1730 - I strongly encourage you to contact your AWS account manager and complain about the state of OpsWorks. I've been howling about this for some time and haven't been getting anywhere. Getting some additional community members to chime in to AWS would be a big help.

@sagar1730

This comment has been minimized.

Copy link
Author

commented Dec 1, 2015

@davidski and @martinb3 - Thanks for your advice. I am digging for older version of this cookbook, but can't find it. If you know the link then kindly post it. I need this cookbook desperately to work because I have to install ES 1.6.0 through it.

@davidski

This comment has been minimized.

Copy link

commented Dec 1, 2015

@sagar1730 - v1.0.3 should be fine for Chef11. https://github.com/elastic/cookbook-elasticsearch/tree/v1.0.3 - Correction, use the 0.3.x branches as mentioned in the following comment.

@davidski

This comment has been minimized.

Copy link

commented Dec 1, 2015

Sorry, that should be the 0.3.x branches, the last of which was https://github.com/elastic/cookbook-elasticsearch/tree/v0.3.14.

@sagar1730

This comment has been minimized.

Copy link
Author

commented Dec 1, 2015

Thanks @davidski ...I will test it now, I hope it will work.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.